@import url('https://fonts.googleapis.com/css2?family=Josefin+Sans:ital,wght@0,100..700;1,100..700&family=Oswald:wght@200..700&display=swap');


body {
  background-color: rgb(255, 255, 255);
  font-family: "Josefin Sans", sans-serif;
  overflow-x: hidden; /* 禁止左右滑动 */
  }


.navbar{
background-color: rgba(255, 255, 255, 0);
transition: background-color 0.3s ease; /* 添加過渡效果，時間為0.3秒，緩和效果為ease */
}

.navbar-brand{
  margin-left: 10px;
}

/* 自訂導覽列樣式 */
.navbar-collapse {
  position: fixed;
  top: 0;
  right: -300px; /* 將right設為-300px，將其隱藏在右側 */
  height: 100vh;
  width: 300px;
  background-color: rgba(217, 217, 217, 0.7);
  padding: 20px;
  transition: right 0.3s ease; /* 添加位移的過渡效果 */
  z-index: 100; /* 設定z-index，以免被其他元素遮擋 */
}

/* 當導覽列顯示時，將right設為0，使其從右側滑入 */
.navbar-collapse.show {
  right: 0;
}

/* 關閉按鈕的樣式 */
.btn-close {
  position: absolute;
  top: 30px;
  right: 30px;
  transition: transform 0.5s; /* 添加旋轉的過渡效果，這裡改為0.5秒 */
  z-index: 10000;
}


.navbar-nav li a {
  position: relative;
  color: rgb(78, 78, 78) !important;
  font-size: 18px;
  text-align: center;
}

.navbar-nav li a::after {
  content: "";
  display: block;
  position: absolute;
  bottom: 15px;
  left: 50%; /* 設置初始時線的起始位置在中間 */
  width: 10%; /* 設置初始寬度為10% */
  height: 2px;
  background-color: #e8d7d7;
  transition: width 0.3s, left 0.3s; /* 添加寬度和左側位置變化的過渡效果 */
  transform: translateX(-50%); /* 將線水平居中對齊連結文字 */
}

/* 滑鼠指到時讓線變長且左右平均擴展20% */
.navbar-nav li a:hover::after {
  width: 30%; /* 將線的寬度設置為30%以展開線的長度 */
  
}

.navbar-toggler{
  font-size:20px;
  margin-top: 0px;
  margin-right: 20px;
  border: none; /* 移除按鈕的邊框 */
  background-color: transparent; /* 設定按鈕的背景為透明 */
  padding: 0; /* 移除按鈕的內邊距，讓按鈕沒有額外的空間 */
}


/* 以下 CSS 用於將 Instagram 和 Facebook 圖示顏色調整為黑色 */
.header-social-area{
  position: absolute;
  right: 70px;
  display: flex;
  align-items: center;
}


.header-social-area a i {
  color: rgb(0, 0, 0);
  font-size: 25px;
  margin-top: 5px;
  margin-right: 25px;
}



/* 調整導覽連結&文字的寬度和間距 */
.nav-link {
  margin-top: 30px;
  padding: 25px 20px; /* 將左右內邊距減少為 25px，保持上下內 */
}


.cart-quantity {
  position: absolute;
  top: 15px; /* 距離圖片上方的距離，可根據需要調整 */
  right: 10px; /* 距離圖片右側的距離，可根據需要調整 */
  background-color: rgba(0, 0, 0, 0.6); /* 圓圈背景色 */
  color: rgb(255, 255, 255); /* 文字顏色 */
  border-radius: 50%; /* 圓形 */
  padding: 3px 10px; /* 內距，調整圓圈大小 */
  font-size: 12px; /* 文字大小 */
  font-weight: bold; /* 粗體 */
}

/* phpcart body */

.table_1{
	overflow-x: hidden; /* 禁止左右滑动 */
  padding-top: 80px;
}

.table_2{
	overflow-x: hidden; /* 禁止左右滑动 */
}

.table_3{
	overflow-x: hidden; /* 禁止左右滑动 */
  padding-top: 80px;
}

.category_inf{
	display: flex;
  justify-content: center;
	flex-direction: column;
	align-items: center;
	text-decoration: underline;
	text-underline-offset: 3px; /* 調整底線與文字之間的距離 */
	text-decoration-thickness: 1.5px; /* 指定底線的粗細 */
	font-weight: bolder;
}

.category{
	display: grid;
	justify-content: center;
	flex-direction: column;
	align-items: center;
	list-style-type: none; /* 去除列表项项目符号 */
  padding-right: 25px; /* 去除内边距 */
  margin: 15px; /* 去除外边距 */
	gap: 10px; /* 调整列表项之间的间距，根据需要设置 */
	
}

@media (max-width: 575px) { /* 小于等于767px宽度的屏幕，例如平板和手机 */
    .category {
		display: flex;
    flex-direction: row; /* 横向排列 */
		flex-wrap: wrap;
    justify-content: space-around; /* 等间距排列 */
    padding: 0px; /* 调整间距 */
    }
}

.product_list {
    display: flex;
    justify-content: center; /* 水平居中 */
    align-items: flex-start; /* 垂直顶部对齐 */
	  flex-wrap: wrap;
}

.product_list_inf{
    display: flex;
    justify-content: center; /* 水平居中 */
    align-items: flex-start; /* 垂直顶部对齐 */
	  text-decoration: underline;
  	text-underline-offset: 3px; /* 調整底線與文字之間的距離 */
  	text-decoration-thickness: 1.5px; /* 指定底線的粗細 */
  	font-weight: bolder;
	  margin-bottom: 20px;
}

.albumDiv {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center; /* 垂直居中 */
    height: 300px;
    width: 150px;
    text-align: center;
    margin: 10px;
    margin-bottom: 5px;
}

.picDiv img {
  transition: opacity 0.5s ease-in-out;
}

.picDiv .hoverImage {
  position: absolute;
  top: 0;
  left: -5px;
  opacity: 0;
  transition: opacity 0.5s ease-in-out;
}

.picDiv:hover .picDiv img {
  opacity: 0;
}

.picDiv:hover .hoverImage {
  opacity: 1;
}

.albumDiv .albuminfo {
	font-size: 11pt;
}

.navDiv {
  color: rgb(100, 89, 77);
	clear: both;
	text-align: center;
	font-size: 10.5pt;
	padding: 5px;
  display: flex; /* 使用 flexbox 排列按鈕 */
  justify-content: center; /* 讓按鈕在容器中水平置中 */
  gap: 12px; /* 設置按鈕之間的間隔 */
}

a {
	text-decoration: none;
	color: #000000;
}


a:hover {
	color: #d49a9a;
}

.clear {
	clear: both;
}

.infoDiv {
	font-family: "微軟正黑體";
	font-size: 12pt;
	color: #990000;
	background-color: #FF9999;
	padding: 4px;
	text-align: center;
	font-weight: bold;
}
.errDiv {
	font-size: 10pt;
	color: #FFFFFF;
	background-color: #FF0000;
	padding: 4px;
	text-align: center;
}

.actionDiv {
	float: right;
	margin-top: -30px;
	font-size: 11pt;
}
.actionDiv a:hover {
	color: #FFFFFF;
	background-color: #CC0000;
}
.categorycount {
	font-size: 8pt;
}

.normalDiv {
	margin: 5px;
}
.photoDiv {
	text-align: center;
	padding: 10px;
}
.clear {
	clear: both;
}
.redword {
	color:#4f3310;
}


.swiper-top {
  position: relative;
  width: 400px;
  margin: auto;
  margin-bottom: 3rem;
}

.swiper {
  width: 400px;
  margin: auto;
  height: 600px;
}

.swiper-slide {
  transition-timing-function: ease-in-out;
}

.swiper-slide img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.swiper-pagination.swiper-pagination-1{
  bottom: -2rem;
}

.swiper-3d .swiper-slide-shadow{
  background: rgba(0, 0, 0, 0.5);
}


.btn3 {
  background-color: rgb(193, 171, 148);
  color: rgb(84, 84, 84);
  margin: 5px auto; /* 自動置中 */
  width: 50%;
  border: none; /* 移除外框 */
  padding: 5px; /* 添加一些填充以改善按钮外观 */
  border-radius: 10px; /* 设置圆角半径，使边角圆滑 */
  cursor: pointer; /* 鼠标悬停时显示手型光标 */
  transition: background-color 0.3s ease, color 0.3s ease, border-color 0.3s ease;
}

.btn3:hover {
  background-color: rgb(109, 91, 73);
  color: rgb(255, 255, 255);
}

.btn4{
  background-color:rgb(224, 219, 214);
  color:rgb(133, 128, 128);
  margin: 5px auto; /* 自動置中 */
  width: 30%;
  border: none; /* 移除外框 */
  padding: 5px; /* 添加一些填充以改善按钮外观 */
  border-radius: 10px; /* 设置圆角半径，使边角圆滑 */
  transition: background-color 0.3s ease, color 0.3s ease, border-color 0.3s ease;
}

.btn4:hover {
  background-color: rgb(202, 194, 186);
  color: rgb(255, 255, 255);
}


.tital_information{
  font-weight: bolder;
  font-size: 16px;
}

.needtoknow{
  overflow-x: hidden; /* 禁止左右滑动 */
  }

.buytoknow, .buymethod, .taketime{
  font-size: 16px;
  font-weight: bold;
}

.buytoknw_detail, .buymethod_detail, .taketime_detail{
  font-size: 14px;
}

.more_detail{
  font-weight: bold;
  display: flex;
  flex-direction: column;
  margin: 25px;
  text-align: center;
  color: rgb(126, 115, 100);
  font-size: 25px;
  }

  /* 底部圖片 */
  .prodcut_detail_img{
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 90%;
  margin: auto;
  }

@media (max-width: 767px) {
  .prodcut_detail_img{
      width: 90%;
  }
}

  /* 幻燈片 大螢幕下 */
  @media (min-width: 768px) {
  .prodcut_detail_img{
      width: 60%;
      margin: 0 auto;
  }
}

.footer {
  padding-top: 50px;
  text-align: center;
  color: rgb(92, 86, 78);
  font-size: 13px;
  overflow-x: hidden; /* 禁止左右滑动 */
}

.center-text{
  justify-content: center;
  text-align: center; /* 水平居中 */
}

/* +/- 按鈕 */
.quantity-control {
  display: flex;
  justify-content: center;
}

.qty-btn {
  background-color: #F6F6F6;
  border: 0px solid #f3c0c0;
  padding: 5px 10px;
  cursor: pointer;
  font-size: 16px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 8px; /* 圓導角 */
  transition: background-color 0.3s ease; /* 平滑過渡效果 */
}

.qty-btn:hover {
  background-color: #ddb98e; /* 指針指向時變色 */
  color: white;
}

.qty-input {
  width: 35px;
  text-align: center;
  margin: 0 5px;
  border-radius: 50%; /* 圓形外框 */
  border: 1px solid #ccc;
  padding: 5px;
}

.fas.fa-minus, .fas.fa-plus {
  font-size: 14px;
}

/* 通用樣式 */
.cart-btn {
  padding: 6px 20px;
  margin: 5px auto; /* 自動置中 */
  border: none; /* 移除外框 */
  border-radius: 8px; /* 设置圆角半径，使边角圆滑 */
  cursor: pointer; /* 鼠标悬停时显示手型光标 */
  transition: background-color 0.3s ease, color 0.3s ease, border-color 0.3s ease;
}

/* 清空購物車按鈕 */
.empty-cart-btn {
  background-color:rgb(224, 219, 214);
  color:rgb(133, 128, 128);
}

.empty-cart-btn:hover {
  background-color: rgb(202, 194, 186);
  color: rgb(255, 255, 255);
}

/* 前往結帳按鈕 */
.checkout-btn {
  background-color: rgb(193, 171, 148);
  color: rgb(84, 84, 84);
}

.checkout-btn:hover {
  background-color: rgb(109, 91, 73);
  color: rgb(255, 255, 255);
}

/* 回上一頁按鈕 */
.back-btn {
  background-color:rgb(224, 219, 214);
  color:rgb(133, 128, 128);
}

.back-btn:hover {
  background-color: rgb(202, 194, 186);
  color: rgb(255, 255, 255);
}

.image-container {
  position: relative;
  display: inline-block;
}

.quantity-circle {
  position: absolute;
  top: -10px; /* 距離圖片上方的距離，可根據需要調整 */
  right: -10px; /* 距離圖片右側的距離，可根據需要調整 */
  background-color: rgb(152, 152, 152); /* 圓圈背景色 */
  color: white; /* 文字顏色 */
  border-radius: 50%; /* 圓形 */
  padding: 5px 10px; /* 內距，調整圓圈大小 */
  font-size: 14px; /* 文字大小 */
  font-weight: bold; /* 粗體 */
}

.submit-btn {
  background-color: rgb(193, 171, 148);
  color: rgb(84, 84, 84);
  width: 300px;
}

.submit-btn:hover {
  background-color: rgb(109, 91, 73);
  color: rgb(255, 255, 255);
}

/* 回頂部 */
.back-top {
  z-index: 99999;
  position: fixed;
  bottom: 60px;
  right: 40px;
  cursor: pointer;
  opacity: 0.5;
  filter: Alpha(opacity=50);
  width: 35px;
  height: 35px;
  border-radius: 12px;
  border: 1px rgba(255, 255, 255, 0.6) solid;
  box-shadow: 0px 0px 3px #ffffff;
  transition: all 0.2s linear;
  background: url(https://drive.google.com/thumbnail?id=1w3h5y6LGcV2cvx81ztai4gOzSKZ5K6Fs&sz=s4000) center no-repeat;
  background-size: 40px 40px;
}

.back-top:hover {
  opacity: 0.8;
  filter: Alpha(opacity=80);
  box-shadow: 0px 0px 6px #ffffff;
}

.back-top.hide {
  opacity: 0;
  filter: Alpha(opacity=0);
  transform: translateY(150%);
}

/* copy 基本樣式 */
.copy-btn {
  padding: 3px 4px;
  font-size: 12px;
  color: #ffffff;
  background-color: #bdad98;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  transition: all 0.3s ease;
}

/* 滑鼠懸停效果 */
.copy-btn:hover {
  background-color: #cb7365;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
}

/* 按鈕按下效果 */
.copy-btn:active {
  background-color: #7f4600;
  transform: scale(0.95);
}
.soldout-overlay {
    position: absolute;
    top: 0;
    left: -5px;
    width: 110%;
    height: 80%;
    background: linear-gradient(to bottom, rgba(255, 255, 255, 0), rgba(255, 255, 255, 1));
    display: flex;
    align-items: flex-end;
    justify-content: center;
    font-size: 14px;
    font-weight: bold;
    color: rgb(133, 101, 101);
    padding-bottom: 10px;
    pointer-events: none;
    z-index: 2;
}